View Issue Details

IDProjectCategoryView StatusLast Update
0012500ScribusUndo/Redopublic2019-10-04 09:09
ReporterFirasH Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status acknowledgedResolutionopen 
Product Version1.5.0svn 
Target Version1.5.5Fixed in Version 
Summary0012500: Metabug: Undo/Redo (1.5.x.svn)
DescriptionThis Metabug contains all the bugs related to Undo/Redo for 1.5.x.svn

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to Undo/Redo, please click on the "Monitor Issue" button
TagsNo tags attached.
PatchNo

Relationships

parent of 0012460 closedjghali Undo/Redo is not able to manage multiple "Truncate text" actions 
parent of 0012481 confirmed Undo/Redo does not restore correctly items moved between Layers in Windows > Outline 
parent of 0012477 closedjghali Undo/Redo crashes Scribus changing Text > Color 
parent of 0012459 closedcbradney Undo/Redo does not restore the correct position using Flip Horizontal/Vertical 
parent of 0012451 confirmed Undo/Redo may crash Scribus if Edit > Cut is used 
parent of 0012427 confirmed Undo/Redo might lead to wrong results importing pages in a double sided document 
parent of 0012426 closedjghali Undo/Redo is not able to restore Master Pages crashing Scribus when closing document 
parent of 0012425 confirmed Undo/Redo records wrong entries using the Guide Manager 
parent of 0012423 confirmed Undo/Redo crashes Scribus undoing conversion from Text to Outlines 
parent of 0012422 confirmed Undo/Redo does not revert "Move Object" of Welded Items 
parent of 0012403 closedFirasH Undo/Redo may duplicate entries in Windows > Outline 
parent of 0012397 confirmed Undo/Redo is not consistent with Multiple Duplicated items 
parent of 0012392 confirmed Undo/Redo crashes Scribus deleting a Group + Item 
parent of 0012374 confirmed Undo/Redo crashes Scribus editing a Barcode 
parent of 0012372 closedcbradney Undo/Redo crashes Scribus deleting items of a group (case 2) 
parent of 0012371 closedcbradney Undo/Redo crashes Scribus deleting items of a group (case 1) 
parent of 0012351 confirmed Redo does not restore actions applied after grouping items 
parent of 0012320 closedjghali Undo/Redo does not restore properly a flipped Spiral 
parent of 0012307 confirmed Undo/Redo records useless entries for Marks 
parent of 0012299 confirmed Undo/Redo is not able to handle changes to Symbols 
parent of 0012270 confirmed Undo/Redo crashes Scribus if more Paragraph Styles are used in the same Text Frame 
parent of 0012251 assignedcbradney Editing Inline Items crashes Scribus if Undo has to delete a Page 
parent of 0012241 confirmed Undo/Redo behaves wrong while editing Inline Items 
parent of 0012236 closedjghali Undo/Redo is not able to manage the conversion of a Polyline to Polygon 
parent of 0012225 confirmed Undo is not able to restore a Barcode 
parent of 0012224 confirmed Undo duplicates a Spiral converted to Polygon 
parent of 0012223 closedjghali Undo is not able to restore properly a rotated Spiral 
parent of 0012203 confirmed Undo cannot restore the position of a group of items ungrouped in a PDF file 
parent of 0012194 confirmed Redo is not able to restore correctly an imported SVG/PDF/EPS removed with Undo 
parent of 0012155 confirmed Undo is not able to manage a group of shapes imported from SVG 
parent of 0012084 closedFirasH Undo does not work with Attach/Detach text to/from path 
parent of 0012082 confirmed Undo does not work as expected with Spirals 
parent of 0012020 closedcbradney Undo does not restore Page Properties 
parent of 0012018 closedjghali Undo does not behave as expected with linked Text Frames 
parent of 0012012 confirmed Undo behaves wrong with more items as a Group 
parent of 0011871 confirmed Using bullets in Paragraph Styles cause crash by pressing Ctrl+Z in determined condition 
parent of 0012495 confirmed Undo/Redo crashes Scribus using Marks > Reference to Item 
parent of 0012491 confirmed Undo/Redo does not restore Group of Groups 
parent of 0012409 confirmed Undo/Redo does not restore the position of "Transformation" Copies 
parent of 0012248 confirmed "Smooth Path" is not saved in Action History 
parent of 0012276 closedjghali Undo deletion of more than one paragraph doesnt restore style 
parent of 0012043 closedjghali Undo on cutting text doesnt restore correctly, but in text of previous edit or delete instead 
parent of 0011989 confirmed Undo/Redo does not record Glyph insertion 
parent of 0011809 assignedChelen undo issue with path operations 
parent of 0011767 closedjghali Text-delete Undo does not restore paragraph styles (nor paragraph styles elements) 
parent of 0011634 closedJLuc undo on endofparagraph delete 
parent of 0011550 confirmed Undo/redo missing for table editing 
parent of 0011247 new Redo doesn't re-create vector imports as groups 
parent of 0011224 feedbackfschmid Undoing ungrouping leads to strange results 
parent of 0011134 confirmed crash after undoing vector import 
parent of 0009591 closed Imported vector with "Undo" lead to all pages blank 
parent of 0012512 confirmed Redo does not restore "Move" of Split Polygons 
parent of 0008745 closedChelen [PATCH NEEDS TESTING] undo and redo should focus to the concerned item 
parent of 0007628 closedKunda Manipulating a Line/Bezier Curve causes change in XY postition 
parent of 0012531 confirmed Undo does not respect "Override Master Page Sizing" 
parent of 0012530 closedjghali It is possible to delete "Normal" Master Page (steps included) 
parent of 0012529 closedjghali Changing Document Layout/Master Pages might lead to crash (steps included) 
parent of 0011754 new Story editor does not have undo feature 
parent of 0011566 confirmed Undo after "Lens Effect" doesn't always work as you'd expect 
parent of 0012538 confirmed Undo/Redo cause crash if Group is used multiple times 
parent of 0012546 closedjghali Undo button might be disabled closing Nodes window 
parent of 0011114 new Undo deletes text after changing text properties 
parent of 0005745 closed Metabug: Undo/Redo issues 
parent of 0003455 acknowledged Undoing all changes should reset document status to "unchanged" 
parent of 0004353 confirmed Add pattern scale, rotation and offset to undo/redo 
parent of 0012555 closedjghali Undo 'delete single item in a group' does not restore regroup 
parent of 0012568 confirmed Undo/Redo crashes Scribus editing Groups as Inline Items 
parent of 0012579 confirmed Undo/Redo records redundant actions using "Replace Colors" 
parent of 0012590 closedjghali Undo/Redo may create ghost entries in Outline palette deleting Layers 
parent of 0012596 confirmed Using Undo/Redo while Story Editor is opened might crash Scribus 
parent of 0012600 confirmed Undo/Redo does not manage Inline Items 
parent of 0012222 closedjghali Opening a non compatible Scribus format disables "Action History" 
parent of 0012601 closedjghali Convert to > Symbol disables Undo/Redo in determined condition 
parent of 0011365 confirmed Convert to Symbol is not recorded by Action History correctly which leads to Crash 
parent of 0012733 closedjghali Undo/Redo crashes Scribus editing Text using Ctrl+A in determined condition 
parent of 0012739 closedjghali Undo/Redo crashes Scribus if a linked Text Frame is edited and deleted 
parent of 0012744 closedcbradney Undo/Redo re-enables "Item > Convert to" entries 
parent of 0012745 new Undo/Redo restores text of more Text Frames removed with "Clear" all in a single Text Frame 
parent of 0001630 newTsoots A macro recorder to build a script automatically from users actions. 
parent of 0008981 assignedChelen Consolidate Undo on "Move" 
parent of 0012779 new Undo/Redo does not restore correctly items editing more Master Pages 
parent of 0012791 closedcbradney [PATCH] Undo/Redo does not update layers level in Windows > Outline 
parent of 0012682 new Undo/Redo buttons are partly enabled and partly disabled while in Preview Mode 
parent of 0012864 closedjghali Undo/Redo rounds Text Distances values 
parent of 0012877 closedcbradney weld and unweld in history 
parent of 0012917 closedcbradney "Swap with Page" action is not recorded in Action History 
parent of 0013015 confirmed Undo/Redo is not able to restore text changed after copying a page 
parent of 0013017 confirmed Undo/Redo does not update "Lock Guides" checkbox 
parent of 0012559 assignedfschmid Weird Undo/Redo behaviour after Picture Browser drag'n'drop 
parent of 0012946 assignedcbradney Undo does not restore Master Page Properties 
parent of 0006993 closedKunda undo doesn't just undo, but changes contents in text and svg drawings 
parent of 0012951 new wrong position when undoing a moved ungrouped svg item 
parent of 0013056 confirmed Undo/Redo may set wrong Image scaling/preview changing Preview Settings 
parent of 0013083 new Undo/Redo doesn't restore OSG/3d Annotations correctly 
parent of 0013139 closedjghali Using Drop Shadow continues to record actions in Action History just by scrolling 
parent of 0013195 confirmed undo after alt-ctrl text resize undoes the frame size but not the text size 
parent of 0004854 new Option to save the action history with a document (in order to undo/redo across sessions) 
parent of 0013272 closedjghali Closing "Nodes" dialog crashes Scribus if Undo/Redo and "Rounded Corners" are used while in modeEditClip 
parent of 0013281 confirmed Undo/Redo of imported items (Barcode/PDF) casues Scribus crash on document closing 
parent of 0013286 confirmed [PATCH] Undo/Redo used with Symbol conversion might cause crash on document closing 
parent of 0013331 new Undo/Redo sets a wrong postion for items contained in a Group as Nodes are moved 
parent of 0013347 closedjghali Undo/Redo of "Get Image" leads to empty Image Frame 
parent of 0013365 closedFirasH Rename action is wrongly recorded in Action History 
parent of 0012458 confirmed X-Pos/Y-Pos shown in Action History do not correspond to Properties > X,Y,Z 
parent of 0013367 closedjghali Changing document unit records useless Undo actions 
parent of 0013509 confirmed undo does not restore group correctly (only as individual unsequential ungrouped parts) 
parent of 0013728 new issue when undoing numbered lists 
parent of 0013922 closedFirasH Undoing setting the text onto a circle shape "path" duplicates instead of undoing 
parent of 0013779 closedjghali cannot undo style changes when merging lines 
parent of 0013969 confirmed Crash when undoing numbered lists 
parent of 0009890 assignedjghali [PATCH] text undo/redo ver. 2 
parent of 0013543 new pasting text does not get correctly undone (duplicate of 0013520 ?) 
parent of 0013520 new pasting text does not get correctly undone 
parent of 0011881 new Trying to Undo changes to Rows/Columns disposition behaves wrong 
parent of 0012308 confirmed Undo/Redo records useless entries deleting guides from Guide Manager 
parent of 0011619 confirmed Column jump is recorded as document modification 
parent of 0012657 confirmed Crash after undoing AI import 
parent of 0012539 confirmed Undo/Redo crashes Scribus editing a group of Outlines 
parent of 0014770 confirmed Scribus crashes when undoing last Paragraph deletion in Story Editor 
parent of 0015070 closedjghali Incorrect cursor position after undoing or redoing text action 
parent of 0015081 closedjghali Undo function works buggy 
parent of 0015080 closedjghali Crashes when editing document 
parent of 0015836 closedjghali Undoing on Attach Text to Path returns a bigger selected Text Frame 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-07-09 01:13 FirasH New Issue
2014-07-09 01:14 FirasH Relationship added parent of 0012460
2014-07-09 01:15 FirasH Relationship added parent of 0012481
2014-07-09 01:15 FirasH Relationship added parent of 0012477
2014-07-09 01:15 FirasH Relationship added parent of 0012459
2014-07-09 01:16 FirasH Relationship added parent of 0012451
2014-07-09 01:16 FirasH Relationship added parent of 0012427
2014-07-09 01:16 FirasH Relationship added parent of 0012426
2014-07-09 01:17 FirasH Relationship added parent of 0012425
2014-07-09 01:17 FirasH Relationship added parent of 0012423
2014-07-09 01:18 FirasH Relationship added parent of 0012422
2014-07-09 01:18 FirasH Relationship added parent of 0012403
2014-07-09 01:18 FirasH Relationship added parent of 0012397
2014-07-09 01:18 FirasH Relationship added parent of 0012392
2014-07-09 01:19 FirasH Relationship added parent of 0012374
2014-07-09 01:19 FirasH Relationship added parent of 0012372
2014-07-09 01:19 FirasH Relationship added parent of 0012371
2014-07-09 01:19 FirasH Relationship added parent of 0012351
2014-07-09 01:20 FirasH Relationship added parent of 0012320
2014-07-09 01:20 FirasH Relationship added parent of 0012307
2014-07-09 01:20 FirasH Relationship added parent of 0012299
2014-07-09 01:21 FirasH Relationship added parent of 0012270
2014-07-09 01:21 FirasH Relationship added parent of 0012251
2014-07-09 01:22 FirasH Relationship added parent of 0012241
2014-07-09 01:23 FirasH Relationship added parent of 0012236
2014-07-09 01:23 FirasH Relationship added parent of 0012225
2014-07-09 01:23 FirasH Relationship added parent of 0012224
2014-07-09 01:23 FirasH Relationship added parent of 0012223
2014-07-09 01:24 FirasH Relationship added parent of 0012203
2014-07-09 01:24 FirasH Relationship added parent of 0012194
2014-07-09 01:24 FirasH Relationship added parent of 0012155
2014-07-09 01:25 FirasH Relationship added parent of 0012084
2014-07-09 01:25 FirasH Relationship added parent of 0012082
2014-07-09 01:25 FirasH Relationship added parent of 0012020
2014-07-09 01:26 FirasH Relationship added parent of 0012018
2014-07-09 01:26 FirasH Relationship added parent of 0012012
2014-07-09 01:26 FirasH Relationship added parent of 0011871
2014-07-09 01:30 FirasH Relationship added parent of 0012495
2014-07-09 01:31 FirasH Relationship added parent of 0012491
2014-07-09 01:31 FirasH Relationship added parent of 0012409
2014-07-09 01:32 FirasH Relationship added parent of 0012248
2014-07-09 01:36 FirasH Relationship added parent of 0012276
2014-07-09 01:38 FirasH Relationship added parent of 0012043
2014-07-09 01:39 FirasH Relationship added parent of 0011989
2014-07-09 01:40 FirasH Relationship added parent of 0011809
2014-07-09 01:41 FirasH Relationship added parent of 0011767
2014-07-09 01:42 FirasH Relationship added parent of 0011634
2014-07-09 01:43 FirasH Relationship added parent of 0011550
2014-07-09 01:46 FirasH Relationship added parent of 0011247
2014-07-09 01:46 FirasH Relationship added parent of 0011224
2014-07-09 01:46 FirasH Relationship added parent of 0011134
2014-07-09 15:20 Kunda Status new => acknowledged
2014-07-09 15:33 FirasH Description Updated View Revisions
2014-07-09 22:03 Kunda Relationship added parent of 0009591
2014-07-12 01:53 FirasH Relationship added parent of 0012512
2014-07-13 19:40 Kunda Relationship added parent of 0008745
2014-07-14 04:13 Kunda Relationship added parent of 0007628
2014-07-16 18:12 FirasH Relationship added parent of 0012531
2014-07-16 18:13 FirasH Relationship added parent of 0012530
2014-07-16 18:13 FirasH Relationship added parent of 0012529
2014-07-17 19:14 Kunda Relationship added parent of 0011754
2014-07-17 19:29 Kunda Relationship added parent of 0011566
2014-07-18 22:39 FirasH Relationship added parent of 0012538
2014-07-21 16:19 FirasH Relationship added parent of 0012546
2014-07-25 05:10 Kunda Relationship added parent of 0011114
2014-07-25 05:26 Kunda Relationship added parent of 0005745
2014-07-25 05:29 Kunda Relationship added parent of 0003455
2014-07-25 05:30 Kunda Relationship added related to 0004353
2014-07-25 05:30 Kunda Relationship replaced parent of 0004353
2014-07-25 13:30 FirasH Relationship added parent of 0012555
2014-07-28 18:46 FirasH Relationship added parent of 0012568
2014-07-31 12:59 FirasH Relationship added parent of 0012579
2014-08-05 22:11 FirasH Relationship added parent of 0012590
2014-08-10 16:26 FirasH Relationship added parent of 0012596
2014-08-13 13:45 FirasH Relationship added parent of 0012600
2014-08-13 14:29 FirasH Relationship added parent of 0012222
2014-08-13 14:30 FirasH Relationship added parent of 0012601
2014-08-20 07:51 Kunda Relationship added parent of 0011365
2014-09-27 18:49 FirasH Relationship added parent of 0012733
2014-10-01 11:53 FirasH Relationship added parent of 0012739
2014-10-03 14:58 FirasH Relationship added parent of 0012744
2014-10-03 16:19 FirasH Relationship added parent of 0012745
2014-10-07 23:33 Kunda Relationship added parent of 0001630
2014-10-08 22:35 Kunda Relationship added parent of 0008981
2014-10-18 15:07 FirasH Relationship added parent of 0012779
2014-10-24 17:22 FirasH Relationship added parent of 0012791
2014-10-24 18:54 FirasH Relationship added parent of 0012682
2014-12-30 17:25 FirasH Relationship added parent of 0012864
2015-02-26 20:01 FirasH Relationship added parent of 0012877
2015-03-01 18:29 FirasH Relationship added parent of 0012917
2015-04-15 11:19 FirasH Relationship added parent of 0013015
2015-04-15 14:37 FirasH Relationship added parent of 0013017
2015-05-01 19:03 Kunda Relationship added parent of 0012559
2015-05-06 01:51 Kunda Relationship added parent of 0012946
2015-05-06 20:12 Kunda Relationship added parent of 0006993
2015-05-06 20:19 Kunda Relationship added parent of 0012951
2015-05-09 23:49 FirasH Relationship added parent of 0013056
2015-05-25 02:33 Kunda Relationship added parent of 0013083
2015-06-16 10:58 FirasH Relationship added parent of 0013139
2015-07-01 23:16 Kunda Relationship added parent of 0013195
2015-07-18 18:21 Kunda Relationship added parent of 0004854
2015-07-31 20:02 FirasH Relationship added parent of 0013272
2015-08-08 23:42 FirasH Relationship added parent of 0013281
2015-08-10 16:20 FirasH Relationship added parent of 0013286
2015-09-03 13:42 FirasH Relationship added parent of 0013331
2015-09-10 15:20 FirasH Relationship added parent of 0013347
2015-09-23 10:51 FirasH Relationship added parent of 0013365
2015-09-23 13:15 FirasH Relationship added parent of 0012458
2015-09-23 14:02 FirasH Relationship added parent of 0013367
2015-11-07 18:57 Kunda Relationship added parent of 0013509
2016-02-12 17:28 Kunda Relationship added parent of 0013728
2016-04-03 10:40 FirasH Patch => No
2016-04-03 10:40 FirasH Summary Metabug: Undo/Redo (1.5.0.svn) => Metabug: Undo/Redo (1.5.x.svn)
2016-04-03 10:41 FirasH Description Updated View Revisions
2016-04-05 12:23 Kunda Target Version => 1.5.4.svn
2016-04-07 12:41 Kunda Relationship added parent of 0013922
2016-04-08 11:46 Kunda Relationship added parent of 0013779
2016-04-20 17:37 FirasH Relationship added parent of 0013969
2016-05-15 22:59 Kunda Target Version 1.5.4.svn => 1.5.5
2016-05-15 23:08 Kunda Relationship added parent of 0009890
2016-05-23 15:15 Kunda Relationship added parent of 0013543
2016-05-23 15:15 Kunda Relationship added parent of 0013520
2016-05-29 03:25 Kunda Relationship added parent of 0011881
2016-12-08 22:08 Kunda Relationship added parent of 0012308
2016-12-08 22:09 Kunda Relationship added parent of 0011619
2016-12-08 22:09 Kunda Relationship added parent of 0012657
2016-12-08 22:09 Kunda Relationship added parent of 0012539
2017-04-24 00:14 FirasH Relationship added parent of 0014770
2017-12-13 09:26 JLuc Relationship added parent of 0015070
2017-12-27 12:06 JLuc Relationship added parent of 0015081
2017-12-27 12:06 JLuc Relationship added parent of 0015080
2019-10-04 09:09 FirasH Relationship added parent of 0015836